function XN = centred(X,Moy,Std,Coef)
%
% CENTRED :       fonction de normalisation par centrage
%    et reduction avec la formule XN = Coef * (X-Moy) / Std
%    ou X sont les donnees, Moy leurs moyennes, Std leurs
%    ecarts types et Coef un coefficient.
%
% XN = centred(X,Moy,Std,coef);
%
% En entree :
% -----------
% X    : Matrice de donnees a centrer rduire. En colonne les variables
%        en ligne les individus (points)
% Moy  : Vecteur des moyennes pour chaque colonne de la matrice X
% Std  : Vecteur des ecarts types pour chaque colonne de la matrice X
% coef : Un coefficient a appliquer sur le centrage-reduction
%        = 1 par defaut
%
% En Sortie :
% -----------
% XN  : Matrice des donnees centrees reduite
%
% Voir aussi : DECENTRED
%

% ________________________________________________________	
% Auteur : unknown (May be Carlos Mejia, locean)
% modification : 2011 C. Sorror(bamanith, France)
% --------------------------------------------------------
%
if (nargin<4)
    Coef = 1.; %2./3.;
end
UN = ones(size(X));
Moy = diag(Moy);
Moy = UN * Moy;
%taille=size(X,1);
%Ecart_type = diag(sqrt((taille-1)/taille)*Std);
%Ecart_type = UN * Ecart_type;
Ecart_type  = UN * diag(Std);
%
% Calcul de la matrice XN des donnes centres rduites
%XN = (2/3).*(X - Moy)./Ecart_type;
XN  = Coef.*(X - Moy)./Ecart_type;
