function plotclimt2(clim_t2)
%
% PLOTCLIMT2 :     Figure d'affichage des courbes de temprature
%    pour les villes du tableau clim_t2 (du fichier clim_t2C_J1982D2010)
%
% plotclimt2(clim_t2);
%
% Entre :
% -------- 
% clim_t2 : Matrice clim_t2 (du fichier clim_t2C_J1982D2010)

%_________________________________________________________
% Auteur : 2012 C. Sorror
%---------------------------------------------------------
% Nombre de variables
NbVar = size(clim_t2,2)-2; 
%
% Nom des villes
lieux = {'Reykjavik','Oslo','Paris','New York','Tunis','Alger','Beyrouth','Atlan','Dakar'};
%
% Pour la labellisation par les individus de l'axe des x avec les annes (au mois de janvier)
Ilab = find(clim_t2(:,2)==1);   % Indices des mois de janvier
Xlab = clim_t2(Ilab,1);         % On rcupre les annes de ces indices
%
% Visualisation des donnes brutes :
figure; hold on
% -Tableau des couleurs des courbes
Col = jet(NbVar);  
Col(4,:)=[0 0.5 0];
Col(5,:)=[0 1.0 0];
% - Courbe de chaque variable : 
for i=1:NbVar; 
    plot(clim_t2(:,i+2), 'color',Col(i,:),'linewidth',1.5); 
end
axis tight;
% - Habillage de la figure :
set(gca,'XTick',Ilab, 'XTickLabel',Xlab); 
title('Tempratures (t2 en degrs Celsius) par ville');
legend(lieux);
%
%---------------------------------------------------------
%
