function [QLT, CTR] = qltctr(CP,VAP) 
%
% QLTCTR :           : Calcul des Qualits de reprsentation et des
%    contributions dans le cadre d'une ACP.
%
% [QLT, CTR] = qltctr(CP,VAP);
%
% Entres :
% ---------
% CP  : Composantes principales d'une ACP :
% VAP : Valeurs propres des donnes de l'ACP
%  
% Sorties :
% ---------
% QLT : Qualits de reprsentation des individus
% CTR : Contributions des individus  la formation des axes

%_________________________________________________________
% Auteur : C.Mallet & C.Sorror (octobre 2012)
% --------------------------------------------------------
[n,p]=size(CP);
C2   = CP.^2;
%
% CTR : ConTRibutions : 
% Pour viter des divisions par 0, on se limite aux VAP > 0
Ipos    = find(VAP>0);
Nvappos = length(Ipos);
CTR     = (1/(n-1))*C2(1:n,1:Nvappos) ./ (ones(n,1)*VAP(1:Nvappos)');
%sum(CTR) %check=1
%
% QLT : QuaLiTes de reprsentation
dist = sum(C2,2);
QLT  = C2 ./ (dist*ones(1,p)); 
%sum(QLT'); %check=1
%
% --------------------------------------------------------
%